# LongArticleTaskServer
description: a server for long_articles project experiments and tasks

### 启动服务
#### use hypercorn
```aiignore
hypercorn task_app:app --config app_config.toml
```
#### use docker
```
docker compose up -d
```

### 项目结构
```
.
├── Dockerfile
├── LICENSE
├── README.md
├── app_config.toml
├── applications
│   ├── __init__.py
│   ├── api
│   │   ├── __init__.py
│   │   └── async_feishu_api.py
│   ├── config
│   │   ├── __init__.py
│   │   ├── aliyun_log_config.py
│   │   └── mysql_config.py
│   ├── database
│   │   ├── __init__.py
│   │   └── mysql_pools.py
│   ├── service
│   │   ├── __init__.py
│   │   ├── get_cover.py
│   │   └── log_service.py
│   ├── tasks
│   │   ├── __init__.py
│   │   ├── monitor_tasks
│   │   │   ├── __init__.py
│   │   │   └── kimi_balance.py
│   │   └── task_scheduler.py
│   └── utils
│       ├── __init__.py
│       ├── async_http_client.py
│       ├── get_cover.py
│       └── response.py
├── dev
│   ├── dev.py
│   └── run_task_dev.py
├── docker-compose.yaml
├── requirements.txt
├── routes
│   ├── __init__.py
│   └── blueprint.py
└── task_app.py

```
